Bug 742729 - Review Request: php-pecl-mysqlnd-ms - A replication and load balancing plugin for mysqlnd
Summary: Review Request: php-pecl-mysqlnd-ms - A replication and load balancing plugin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Alexeev
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-02 06:38 UTC by Remi Collet
Modified: 2012-02-17 23:48 UTC (History)
4 users (show)

Fixed In Version: php-pecl-mysqlnd-ms-1.2.2-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-17 23:48:20 UTC
pahan: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Remi Collet 2011-10-02 06:38:53 UTC
Spec URL: https://raw.github.com/remicollet/remirepo/master/php-pecl-mysqlnd-ms/php-pecl-mysqlnd-ms.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pecl-mysqlnd-ms-1.1.0-1.remi.src.rpm
Description: 
The replication and load balancing plugin is a plugin for the mysqlnd library.
It can be used with PHP MySQL extensions (ext/mysql, ext/mysqli, PDO_MySQL),
if they are compiled to use mysqlnd. The plugin inspects queries to do
read-write splitting. Read-only queries are send to configured MySQL
replication slave servers all other queries are redirected to the MySQL
replication master server. Very little, if any, application changes required,
dependent on the usage scenario required.

Documentation : http://www.php.net/mysqlnd_ms


Target is fedora >= 16 (for php-mysqlnd)

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3396185

Comment 1 Matthieu Saulnier 2011-10-04 20:19:28 UTC
Hello
This is an informal review

[X] rpmlint must be run on every package.

[X] The package must be named according to the Package Naming Guidelines.

[X] The spec file name must match the base package %{name}, in the format
      %{name}.spec unless your package has an exemption.

[X] The package must meet the Packaging Guidelines.

[X] The package must be licensed with a Fedora approved license and meet the
      Licensing Guidelines.

[X] The License field in the package spec file must match the actual license.

[X] If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s) for
     the package must be included in %doc.

[X] The spec file must be written in American English.

[X] The spec file for the package MUST be legible.

[X] The sources used to build the package must match the upstream source, as
      provided in the spec URL.
      Upstream: a3606b52842879cf76d83fec187dc194
      Package:  a3606b52842879cf76d83fec187dc194

[X] The package MUST successfully compile and build into binary rpms on at
     least one primary architecture.
     Build successful on Mock fedora-rawhide-x86_64

[NA] If the package does not successfully compile, build or work on an
      architecture, then those architectures should be listed in the spec in
      ExcludeArch.

[X] All build dependencies must be listed in BuildRequires, except for any
     that are listed in the exceptions section of the Packaging Guidelines ;
     inclusion of those as BuildRequires is optional.

[NA] The spec file MUST handle locales properly. This is done by using the
      %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.

[NA] Every binary RPM package (or subpackage) which stores shared library
      files(not just symlinks) in any of the dynamic linker's default paths,
      must call ldconfig in %post and %postun.

[X] Packages must NOT bundle copies of system libraries.

[NA] If the package is designed to be relocatable, the packager must state
      this fact in the request for review, along with the rationalization for
      relocation of that specific package. Without this, use of Prefix: /usr is
      considered a blocker.

[X] A package must own all directories that it creates. If it does not create
     a directory that it uses, then it should require a package which does
     create that directory.

[X] A Fedora package must not list a file more than once in the spec file's
      %files listings. 

[X] Permissions on files must be set properly. Executables should be set with
     executable permissions, for example. Every %files section must include a
     %defattr(...) line.

[X] Each package must consistently use macros.

[X] The package must contain code, or permissable content.

[NA] Large documentation files must go in a -doc subpackage.

[X] If a package includes something as %doc, it must not affect the runtime
     of the application. To summarize: If it is in %doc, the program must run
     properly if it is not present.

[NA] Header files must be in a -devel package.

[NA] Static libraries must be in a -static package.

[NA] If a package contains library files with a suffix (e.g. libfoo.so.1.1),
      then library files that end in .so (without suffix) must go in a -devel
      package.

[NA] In the vast majority of cases, devel packages must require the base
      package using a fully versioned dependency: Requires: %{name} =
      %{version}-%{release}.

[X] Packages must NOT contain any .la libtool archives, these must be removed
      in the spec if they are built.

[NA] Packages containing GUI applications must include a %{name}.desktop file,
      and that file must be properly installed with desktop-file-install in the
      %install section.

[X] Packages must not own files or directories already owned by other
      packages.

[X] All filenames in rpm packages must be valid UTF-8.

Comment 4 Remi Collet 2012-01-21 18:25:46 UTC
Update spec to include conditional ZTS extension build (for fedora 17)

Changes: https://github.com/remicollet/remirepo/commit/d622a98b78ff25f94537c6ef4cc25df82bdea8bd

New SRPM: http://rpms.famillecollet.com/SRPMS/php-pecl-mysqlnd-ms-1.1.2-4.remi.src.rpm

Comment 8 Pavel Alexeev 2012-02-05 15:32:19 UTC
I take it.

Comment 9 Pavel Alexeev 2012-02-08 16:00:59 UTC
Sorry for the delay.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL5
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[!]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST No %config files under /usr.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint php-pecl-mysqlnd-ms-1.2.2-1.fc17.src.rpm

php-pecl-mysqlnd-ms.src: W: spelling-error %description -l en_US mysql -> myself
php-pecl-mysqlnd-ms.src: W: spelling-error %description -l en_US mysqli -> myelitis
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint php-pecl-mysqlnd-ms-debuginfo-1.2.2-1.fc17.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint php-pecl-mysqlnd-ms-1.2.2-1.fc17.i686.rpm

php-pecl-mysqlnd-ms.i686: W: spelling-error %description -l en_US mysql -> myself
php-pecl-mysqlnd-ms.i686: W: spelling-error %description -l en_US mysqli -> myelitis
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/pasha/SOFT/Review/php-pecl-mysqlnd-ms/742729/mysqlnd_ms-1.2.2.tgz :
  MD5SUM this package     : fad5095907aea981b9af41a66276c587
  MD5SUM upstream package : fad5095907aea981b9af41a66276c587

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.


So, please fix legacy issues if it does not targeted to EPEL5.

Package in good shape. APPROVED.

Comment 10 Remi Collet 2012-02-08 16:15:22 UTC
Thanks for the review.

New Package SCM Request
=======================
Package Name: php-pecl-mysqlnd-ms
Short Description: A replication and load balancing plugin for mysqlnd
Owners: remi
Branches: f16 f17
InitialCC:

Comment 11 Gwyn Ciesla 2012-02-08 16:33:09 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2012-02-08 17:16:37 UTC
php-pecl-mysqlnd-ms-1.2.2-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-pecl-mysqlnd-ms-1.2.2-1.fc16

Comment 13 Fedora Update System 2012-02-10 00:56:35 UTC
php-pecl-mysqlnd-ms-1.2.2-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 14 Fedora Update System 2012-02-17 23:48:20 UTC
php-pecl-mysqlnd-ms-1.2.2-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.